Skip to content

List report runs

Request to list the runs of a report template, newest first:

GET /api/v2/reports/<report-id>/runs.json

Example of response:

{
    "report_runs": [
        {
            "run_id": "8f6a533b-187b-4e99-a0e5-48fe58b53f16",
            "report_id": "1c455456-1cca-4223-a366-7bf5a1817778",
            "name": "Calls Summary Report by Group",
            "description": null,
            "run_tenant_id": "9d27913a-b7c3-11ed-9277-1207ffee24c3",
            "run_user_id": "649c4a50-172a-498d-acd7-d3b5321a880e",
            "created_at": "2024-10-02T10:19:07.574498-07:00",
            "period_begin": "2024-08-01T00:00:00-07:00",
            "period_end": "2024-10-02T00:00:00-07:00",
            "timezone": "America/Los_Angeles",
            "filters": [
                {"param": "duration", "param2": "", "op": "greater_than", "val": "1:00"}
            ],
            "started_at": "2024-10-02T10:19:07.614593-07:00",
            "completed_at": "2024-10-02T10:19:07.885709-07:00",
            "celery_status": "SUCCESS",
            ...
        },
        {
            "run_id": "97a82bfa-3e37-4f41-a730-c0ef31b2f008",
            "report_id": "1c455456-1cca-4223-a366-7bf5a1817778",
            "name": "Calls Summary Report by Group",
            "created_at": "2024-10-02T10:18:41.209988-07:00",
            "celery_status": "SUCCESS",
            ...
        }
    ],
    "total": 2,
    "next_url": null
}

Each item is a complete report run object. See Collections for paging (limit, start).

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of runs is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view reports
404 Not Found Report template with such ID does not exist, or it is outside the access scope of the API user